Package networkx :: Module spectrum

[frames | no frames]

## Module networkx.spectrum

Laplacian, adjacency matrix, and spectrum of graphs.

Uses Numeric.

Function Summary
| ``adj_matrix`(G, u)` Return adjacency matrix of graph If u is defined return row of adjacency matrix at row u.
| ``generalized_laplacian`(G)` Return generalized Laplacian of graph
| ``laplacian`(G)` Return standard Laplacian of graph

Variable Summary
`str` | `__author__` = `'Aric Hagberg (hagberg@lanl.gov)\nPieter Sw...`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-06-15 14:18:07 -0600 (Wed, 15 Ju...`
`str` | `__revision__` = `'$Revision: 1044 $'`

Function Details

### adj_matrix(G, u=None)

Return adjacency matrix of graph If u is defined return row of adjacency matrix at row u.

### generalized_laplacian(G)

Return generalized Laplacian of graph

See Spectral Graph Theory by Fan Chung-Graham.

### laplacian(G)

Return standard Laplacian of graph

Variable Details

### __author__

  Type:
    `str`
  Value:

        '''Aric Hagberg (hagberg@lanl.gov)
        Pieter Swart (swart@lanl.gov)
        Dan Schult(dschult@colgate.edu)'''

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-06-15 14:18:07 -0600 (Wed, 15 Jun 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 1044 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net